import Setting from "@/setting";
const host = Setting.apiBaseURL
const uploadURL = Setting.upload.apiURL;
const host2 = 'http://192.168.31.52:9000/'

export default {
    queryToken: `liuwanr/userInfo/queryToken`,

    logins: `users/users/user/login`, //登录
    verification: `${host}users/users/user/captcha`,// 验证码图片
    isClient: `users/users/user/isClient`,// 是否为客户
    getUserAllRoleByToken : `users/users/role/getUserAllRoleByToken`,
    getSchoolIdByToken : `users/users/data/user/getSchoolIdByToken`,
    deleteProfile : `users/users/userInfo/deleteProfile`,
    
    platformLogList: `nakadai/nakadai/log/platformLogList`,
    logNotification: `nakadai/nakadai/log/logNotification`,
    //实验台
    curriculumDetail: `nakadai/nakadai/curriculum/curriculumDetail`, // 课程详情
    curriculumChapter: `nakadai/nakadai/curriculum/chapter/queryChaptersAndSubsections`, // 根据课程id查询章节小节,树状结构
    curriculumGetSubsection: `nakadai/nakadai/curriculum/subsection/getSubsection`, // 根据小节id获取预览文件地址
    getProjectBySystemId: 'occupationlab/occupationlab/projectManage/getProjectBySystemId',
    getTheMostRecentlyRunProject: 'python/python/getTheMostRecentlyRunProject',
    whetherToRenewTheFee: 'nakadai/nakadai/curriculum/whetherToRenewTheFee',
    recentUse: `nakadai/nakadai/curriculum/recentUse`,
    recordRecentUsage: `nakadai/nakadai/curriculum/recordRecentUsage`,
    courseLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/courseLearningProgress',
    deleteLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/delete',
    findLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/findById',
    saveLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/save',
    updateLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/update',
    // 课程笔记
    addNote: `nakadai/curriculumNotes/addNote`,
    curriculumNoteList: `nakadai/curriculumNotes/curriculumNoteList`,
    deleteNotes: `nakadai/curriculumNotes/deleteNotes`,
    updateNote: `nakadai/curriculumNotes/updateNote`,

    // 权限管理
    getUserRolesPermissionMenu: `users/users/user-role/getUserRolesPermissionMenu`,

    //学生管理
    resetPassword: `users/users/userAccount/resetPwd`, // 密码重置
    updateAccountEnable: `occupationlab/occupationlab/architecture/updateAccountEnable`, // 密码重置
    checkEmailOrPhone: `occupationlab/occupationlab/architecture/checkEmailOrPhone`, // 新增学生前:校验手机号或者邮箱
    checkWorkNumOrAccount: `occupationlab/occupationlab/architecture/checkWorkNumOrAccount`, // 新增/编辑学生前:校验学号或者学生账号
    delStudent: `occupationlab/occupationlab/architecture/delStudent`, // 单个、批量删除学生
    addStudent: `occupationlab/occupationlab/architecture/addStudent`, // 新增学生
    modifyStudent: `occupationlab/occupationlab/architecture/modifyStudent`, // 编辑学生
    getStudentInfoByAccountId: `occupationlab/occupationlab/architecture/getStudentInfoByAccountId`, // 查看学生信息
    getDetailByAccount: `occupationlab/occupationlab/architecture/getDetailByAccount`, // 新增用户前调用：按帐户获取详细信息
    importStudent: `${host}occupationlab/occupationlab/architecture/importStudent`, // 批量导入学生
    exportFailure: `${host}occupationlab/occupationlab/architecture/exportFailure`, // 批量导入学生失败数据导出
    removeStudent: `occupationlab/occupationlab/architecture/removeStudent`, // 移除学生
    organizationalStudentList: `occupationlab/occupationlab/architecture/organizationalStudentList`, // 根据组织架构筛选学生列表
    studentList: `occupationlab/occupationlab/architecture/studentList`, // 学生列表
    stuOrganizationTree: `occupationlab/occupationlab/architecture/stuOrganizationTree`, // 学生组织架构树
    treeList: `occupationlab/occupationlab/architecture/treeList`, // 学生组织架构树形列表
    saveOrg: `occupationlab/occupationlab/architecture/save`, // 新增组织架构
    updateOrg: `occupationlab/occupationlab/architecture/update`, // 编辑组织架构
    deleteOrg: `occupationlab/occupationlab/architecture/delete`, // 删除组织架构
    studentTemplate: `https://www.occupationlab.com/template/学生导入模板.xlsx`, // 学生导入模板

    // 测评管理
    questionsList: `occupationlab/occupationlab/questions/list`, // 题库列表查询
    questionsSave: `occupationlab/occupationlab/questions/save`, // 新增题目
    questionsUpdate: `occupationlab/occupationlab/questions/update`, // 根据试题id修改试题信息
    questionsDetail: `occupationlab/occupationlab/questions/detail`, // 查看当前题库信息
    questionsDelete: `occupationlab/occupationlab/questions/delete`, // 根据主键删除
    questionsIsDisable: `occupationlab/occupationlab/questions/isDisable`, // 是否禁用试题
    questionsTemplate: `https://www.occupationlab.com/template/试题导入模板.xlsx`, //excel模板文件下载
    questionsImport: `${host}occupationlab/occupationlab/questions/importQuestion`, // 批量导入题库
    questionsExportFailure: `${host}occupationlab/occupationlab/questions/exportFailure`, // 批量导入题库失败数据导出
    questionsInfo: `occupationlab/occupationlab/questions/info`, // 测评规则信息的展示
    questionsUpdateRules: `occupationlab/occupationlab/questions/updateEvaluationRules`, // 修改测评规则信息

    // 考核管理
    pageByCondition: `occupationlab/occupationlab/assessment/pageByCondition`, // 考核管理列表
    saveAssessment: `occupationlab/occupationlab/assessment/saveAssessment`, // 创建考核
    modifyAssessment: `occupationlab/occupationlab/assessment/modifyAssessment`, // 编辑考核
    enableAssessment: `occupationlab/occupationlab/assessment/enableAssessment`, // 修改考核状态
    getDetailById: `occupationlab/occupationlab/assessment/getDetailById`, // 根据考核Id查询考核详情
    deleteAssessment: `occupationlab/occupationlab/assessment/deleteAssessment`, // 单个、批量删除
    collectPaper: `occupationlab/occupationlab/assessment/collectPaper`, // 收卷（提前结束）
    schoolCourse: `nakadai/nakadai/curriculum/schoolCourse`, // 获取学校购买订单后的课程
    getSchoolEffectiveCourse: `nakadai/nakadai/curriculum/getSchoolEffectiveCourse`,
    projectListByCourseId: `occupationlab/occupationlab/projectManage/getSchoolProjectByAssessent`, // 根据课程id获取实训项目列表

    // 成绩管理
    deleteExperimentalReport: `occupationlab/occupationlab/achievement/deleteExperimentalReport`, // 单个、批量删除实验报告
    exportAssessmentInfo: `${host}occupationlab/occupationlab/achievement/exportAssessmentInfo`, // 批量导出考核成绩
    exportPracticeInfo: `${host}occupationlab/occupationlab/achievement/exportPracticeInfo`, // 批量导出练习成绩
    getAchievementInfo: `occupationlab/occupationlab/achievement/getAchievementInfo`, // 管理端成绩管理
    getAssessmentDetail: `occupationlab/occupationlab/achievement/getAssessmentDetail`, // 管理端考核成绩详情
    getPracticeDetail: `occupationlab/occupationlab/achievement/getPracticeDetail`, // 管理端练习成绩详情
    myClass: `occupationlab/occupationlab/achievement/myClass`, // 教师端:我的班级
    deleteReportById: `occupationlab/occupationlab/achievement/deleteReportById`, // 批量删除成绩管理中的项目/批量删除成绩管理中的考核
    reportDetail: `occupationlab/occupationlab/achievement/reportDetail`, // 查看实验报告
    schoolCourseByAchievement: `nakadai/nakadai/curriculum/schoolCourseByAchievement`, // 获取学校购买订单后的课程
    spliceClass: `occupationlab/occupationlab/achievement/spliceClass`,
    exportLabReport: `occupationlab/occupationlab/achievement/exportLabReport`,
    exportBankExperimentReport: `occupationlab/occupationlab/achievement/exportBankExperimentReport`,
    editExperimentalData: 'occupationlab/occupationlab/experimentalReport/editExperimentalData',

    // 项目管理
    getSystemIdBySchool: `occupationlab/occupationlab/projectManage/getSystemIdBySchool`, // 获取学校下拥有的系统
    avgValues: `occupationlab/occupationlab/projectManage/avgValues`, // 平均分分配值
    deleteProjectManage: `occupationlab/occupationlab/projectManage/deleteProjectManage`, // 新增项目管理
    getProjectBySystemId: `occupationlab/occupationlab/projectManage/getProjectBySystemId`, // 根据系统id获取全部项目(项目中没有用上这个接口)
    queryNameIsExist: `occupationlab/occupationlab/projectManage/queryNameIsExist`, // 新增/编辑项目管理名称判重
    queryProjectManage: `occupationlab/occupationlab/projectManage/queryProjectManage`, // 项目管理列表(分页、筛选)
    updateIsOpen: `occupationlab/occupationlab/projectManage/updateIsOpen`, // 更新开启状态
    getProjectDetail: `occupationlab/occupationlab/projectManage/getProjectDetail`, // 根据项目id查询详情
    saveProjectDraft: `occupationlab/occupationlab/projectManage/saveProjectDraft`, // 新增项目管理
    addProjectManage: `occupationlab/occupationlab/projectManage/addProjectManage`, // 新增项目管理
    updateProjectManage: `occupationlab/occupationlab/projectManage/updateProjectManage`, // 修改项目管理
    editProjectDraft: `occupationlab/occupationlab/projectManage/editProjectDraft`, // 修改项目管理
    copyProjectManage: `occupationlab/occupationlab/projectManage/copyProjectManage`, // 复制项目管理

    // 判分点
    getBcJudgmentPoint: `judgment/judgment/bcJudgmentPoint/getTeacherJudgmentPoint`, // 获取编程类判分点列表(分页)
    getLcJudgmentPoint: `judgment/judgment/lcJudgmentPoint/queryAllJudgmentPoint`, // 获取流程类判分点列表(分页)
    addProjectJudgment: `occupationlab/occupationlab/projectJudgment/addProjectJudgment`, // 添加项目管理、判分点中间表
    updateProjectJudgment: `occupationlab/occupationlab/projectJudgment/updateProjectJudgment`, // 判分点中间表批量更新
    deleteProjectJudgment: `occupationlab/occupationlab/projectJudgment/deleteProjectJudgment`, // 判分点中间表批量删除

    
    // 赛事
    competitionPageConditionQueryByOccupationlab: `competition/competition/management/competitionPageConditionQueryByOccupationlab`,
    addCompetition: `competition/competition/management/addCompetition`,
    batchDeleteCompetition: `competition/competition/management/batchDeleteCompetition`,
    checkTheStatusOfTheCompetition: `competition/competition/management/checkTheStatusOfTheCompetition`,
    disabledEventsCompetition: `competition/competition/management/disabledEvents`,
    editCompetition: `competition/competition/management/editCompetition`,
    getCompetition: `competition/competition/management/getCompetition`,
    getProjectAssessmentByCompetition: `occupationlab/occupationlab/projectManage/getProjectAssessmentByCompetition`,
    publishCompetition: `competition/competition/management/publishCompetition`,
    detailsOfCompetitionStage: `competition/competition/management/detailsOfCompetitionStage`,
    entryInformation: `competition/competition/team/entryInformation`,
    getCustomerOrder: `nakadai/nakadai/valueModuleManagement/getCustomerOrder`,
    curriculumList: `nakadai/nakadai/curriculum/schoolCourse`,
    queryCustomer: `nakadai/nakadai/customer/queryCustomer`,
    getSchoolsByProvince: `nakadai/nakadai/school/getSchoolsByProvince`,
    getRedisCacheCompetition: `competition/competition/management/getRedisCache`,
    
    // 赛事内容
    addCompetitionContent: `competition/competition/content/addCompetitionContent`,
    editCompetitionContent: `competition/competition/content/editCompetitionContent`,
    getCompetitionContent: `competition/competition/content/getCompetitionContent`,
    // 赛事附件
    delComAnnex: `competition/competition/annex/delete`,
    saveComAnnex: `competition/competition/annex/save`,
    updateComAnnex: `competition/competition/annex/update`,
    // 赛事公告附件
    delAnnex: `competition/competition/announcementAnnex/delete`,
    saveAnnex: `competition/competition/announcementAnnex/save`,
    updateAnnex: `competition/competition/announcementAnnex/update`,
    viewAttachments: `competition/competition/announcementAnnex/viewAttachments`,
    // 赛事规则
    addCompetitionRule: `competition/competition/rule/addCompetitionRule`,
    editCompetitionRule: `competition/competition/rule/editCompetitionRule`,
    getCompetitionRule: `competition/competition/rule/getCompetitionRule`,
    queryCompetitionStageBySetupId: `competition/competition/stage/queryCompetitionStageBySetupId`,
    // 竞赛进展
    addCompetitionProgress: `competition/competition/progress/addCompetitionProgress`,
    deleteCompetitionProgress: `competition/competition/progress/deleteCompetitionProgress`,
    editCompetitionProgress: `competition/competition/progress/editCompetitionProgress`,
    getCompetitionProgress: `competition/competition/progress/getCompetitionProgress`,
    // 报名人员
    addCompetitionRegistration: `competition/competition/registration/addCompetitionRegistration`,
    cancelRegistration: `competition/competition/registration/cancelRegistration`,
    disableContests: `competition/competition/registration/disableContests`,
    disableRegistration: `competition/competition/registration/disableRegistration`,
    excelExport: `${host}competition/competition/registration/excelExport`,
    exportDataInBatches: `${host}competition/competition/registration/exportDataInBatches`,
    queryRegistrationByCondition: `competition/competition/registration/queryRegistrationByCondition`,
    searchTeam: `competition/competition/team/searchTeam`,
    joinCompetitionTeam: `competition/competition/team/joinCompetitionTeam`,
    addCompetitionTeam: `competition/competition/team/addCompetitionTeam`,
    studentAccountApplication: `users/users/register/studentAccountApplication`,
    checkPhoneOrEmailExist: `users/users/userInfo/checkPhoneOrEmailExist`,
    editCompetitionTeam: `competition/competition/team/editCompetitionTeam`,
    addAnAdvisor: `competition/competition/teamInstructor/addAnAdvisor`,
    deleteAnAdvisor: `competition/competition/teamInstructor/deleteAnAdvisor`,
    captainOfTransfer: `competition/competition/team/captainOfTransfer`,
    removeTheLine: `competition/competition/team/removeTheLine`,
    stageSelectParticipants: `competition/competition/teamParticipant/stageSelectParticipants`,
    updateUser: `users/users/userInfo/updateUser`,
    enquireAboutSchoolStudents: `users/users/userAccount/enquireAboutSchoolStudents`,
    cancelParticipant: `competition/competition/teamParticipant/cancelParticipant`,
    schoolsInCompetitionArea: `competition/competition/range/schoolsInCompetitionArea`,
    // 赛事公告
    addAnnouncement: `competition/competition/announcement/addAnnouncement`,
    amendmentAnnouncement: `competition/competition/announcement/amendmentAnnouncement`,
    deleteAnnouncement: `competition/competition/announcement/deleteAnnouncement`,
    disableAnnouncement: `competition/competition/announcement/disableAnnouncement`,
    queryAnnouncementByCompetitionId: `competition/competition/announcement/queryAnnouncementByCompetitionId`,
    queryAnnouncementDetails: `competition/competition/announcement/queryAnnouncementDetails`,
    saveAnnouncementAnnex: `competition/competition/announcementAnnex/save`,
    // 赛事成绩
    batchDeleteContestGrade: `competition/competition/performance/batchDeleteContestGrade`,
    batchImportGrades: `${host}competition/competition/performance/batchImportGrades`,
    exportExperimentalResultsInBatch: `${host}competition/competition/performance/exportExperimentalResultsInBatch`,
    performanceExportFailure: `${host}competition/competition/performance/exportFailure`,
    rankExportFailure: `${host}competition/competition/rank/exportFailure`,
    stageGradeManagementList: `competition/competition/performance/stageGradeManagementList`,
    stageRaceRanking: `competition/competition/rank/stageRaceRanking`,
    overallStandingsInThePointsRace: `competition/competition/rank/overallStandingsInThePointsRace`,
    batchImportRanking: `${host}competition/competition/rank/batchImportRanking`,
    publishRanking: `competition/competition/rank/publishRanking`,
    stageTeamScoreDetails: `competition/competition/rank/stageTeamScoreDetails`,
    multipleStageTeamScoreDetails: `competition/competition/rank/multipleStageTeamScoreDetails`,
    detailsOfTotalTeamScores: `competition/competition/rank/detailsOfTotalTeamScores`,
    cancelRanking: `competition/competition/rank/cancelRanking`,
    reportDetail: `occupationlab/occupationlab/achievement/reportDetail`,
    deleteLastPublication: `competition/competition/rank/deleteLastPublication`,
    whetherToPublish: `competition/competition/rank/whetherToPublish`,
    manuallyRankTheUploadList: `competition/competition/rank/manuallyRankTheUploadList`,
    queryPublicationSource: `competition/competition/rank/queryPublicationSource`,
    releaseVerification: `competition/competition/rank/releaseVerification`,
    totalRankingScoreDetails: `competition/competition/rank/totalRankingScoreDetails`,
    batchRelease: `competition/competition/rank/batchRelease`,
    manuallyUploadedRankings: `competition/competition/rank/manuallyUploadedRankings`,
    toggleTheSortingMode: `competition/competition/rank/toggleTheSortingMode`,
    selectTheLastSortStatus: `competition/competition/rank/selectTheLastSortStatus`,
    cancelImport: `competition/competition/rank/cancelImport`,
    gradeImport: `https://www.occupationlab.com/template/赛事成绩导入模板.xlsx`,
    rankImportTeam: `https://www.occupationlab.com/template/赛事排名导入模板(团队赛).xlsx`,
    rankImportPerson: `https://www.occupationlab.com/template/赛事排名导入模板(个人赛).xlsx`,
    // 栏目管理
    addColumn: `occupationlab/occupationlab/information/column/addColumn`,
    deleteColumn: `occupationlab/occupationlab/information/column/deleteColumn`,
    editColumn: `occupationlab/occupationlab/information/column/editColumn`,
    queryAllColumns: `occupationlab/occupationlab/information/column/queryAllColumns`,
    columnReorder: `occupationlab/occupationlab/information/column/reorder`,
    // 内容管理
    addArticle: `occupationlab/occupationlab/information/article/addArticle`,
    deleteArticles: `occupationlab/occupationlab/information/article/deleteArticles`,
    editArticle: `occupationlab/occupationlab/information/article/editArticle`,
    enableArticle: `occupationlab/occupationlab/information/article/enableArticle`,
    getArticle: `occupationlab/occupationlab/information/article/getArticle`,
    getArticles: `occupationlab/occupationlab/information/article/getArticles`,
    queryArticleByCondition: `occupationlab/occupationlab/information/article/queryArticleByCondition`,
    articleSort: `occupationlab/occupationlab/information/article/articleSort`,

    // 课程管理
    delTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/batchDeletion`,
    findTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/findById`,
    listTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/pageConditionalQueryCourse`,
    saveTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/save`,
    updateTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/update`,
    disabledTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/disabledEvents`,
    checkRepeatTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/checkRepeat`,
    getRedisCache: `occupationlab/occupationlab/theoreticalCourse/getRedisCache`,
    // 分类管理
    checkRepeat: `occupationlab/occupationlab/theoreticalCourseClassification/checkRepeat`,
    delClassification: `occupationlab/occupationlab/theoreticalCourseClassification/batchDeletion`,
    findClassification: `occupationlab/occupationlab/theoreticalCourseClassification/findById`,
    listClassification: `occupationlab/occupationlab/theoreticalCourseClassification/pagingQuery`,
    saveClassification: `occupationlab/occupationlab/theoreticalCourseClassification/save`,
    updateClassification: `occupationlab/occupationlab/theoreticalCourseClassification/update`,
    // 课程章节管理
    addChapter: `occupationlab/occupationlab/theoreticalCourseChapter/addChapter`,
    chapterReorder: `occupationlab/occupationlab/theoreticalCourseChapter/chapterReorder`,
    deleteChapter: `occupationlab/occupationlab/theoreticalCourseChapter/deleteChapter`,
    editChapter: `occupationlab/occupationlab/theoreticalCourseChapter/editChapter`,
    queryChaptersAndSubsections: `occupationlab/occupationlab/theoreticalCourseChapter/queryChaptersAndSubsections`,
    reorder: `occupationlab/occupationlab/theoreticalCourseChapter/reorder`,
    // 课程小节管理
    addSubsection: `occupationlab/occupationlab/theoreticalCourseSubsection/addSubsection`, // 添加小节
    deleteSubsection: `occupationlab/occupationlab/theoreticalCourseSubsection/deleteSubsection`, // 根据id删除小节
    editSubsection: `occupationlab/occupationlab/theoreticalCourseSubsection/editSubsection`, // 修改小节
    getSubsection: `occupationlab/occupationlab/theoreticalCourseSubsection/getSubsection`, // 根据小节id获取预览文件地址

    // 阿里云文件/视频管理
    fileDeletion: `${uploadURL}oss/manage/fileDeletion`, // 删除OSS文件
    fileupload: `${uploadURL}oss/manage/fileupload`, // 文件上传
    getPlayAuth: `${uploadURL}oss/manage/getPlayAuth`, // 获取播放凭证
    removeMoreVideo: `${uploadURL}oss/manage/removeMoreVideo`, // 批量删除视频文件
    removeVideo: `${uploadURL}oss/manage/removeVideo`, // 删除视频文件
    fileUploadNakadai: `${host}nakadai/nakadai/oss/fileUpload`,

    queryProvince: `nakadai/nakadai/province/queryProvince`, //查询省份
    queryCity: `nakadai/nakadai/city/queryCity`, //查询城市
    querySchoolData: `nakadai/nakadai/school/querySchool`, //根据学校名称查询学校信息
    queryCourseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //查询课程学科
    queryCourseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //查询专业类
    queryCourseProfessional: `nakadai/nakadai/subject/courseProfessional`, //查询专业

    // 个人中心
    uploadUserAvatars: `${host}users/users/userAccount/updateUserAvatars`, //更改头像
    queryUserInfoDetails: `users/users/userAccount/queryUserInfoDetails`,//个人中心信息展示
    updatePersonCenter: `users/users/userAccount/updatePersonCenter`,//个人中心信息修改
    examinePassword: `users/users/userAccount/examinePassword`,//更换密码
    bindPhoneOrEmail: `users/users/userAccount/bindPhoneOrEmail`,// 绑定手机或邮箱
    sendPhoneOrEmailCode: `users/users/userAccount/sendPhoneOrEmailCode`,// 更换手机号或邮箱--发送手机验证码
    unbindMobilePhone: `users/users/userAccount/unbindMobilePhone`,

    // 系统设置
    // 员工组织架构
    professionalList: `occupationlab/occupationlab/staff/professionalList`, //查询专业列表
    staffGradeList: `occupationlab/occupationlab/staff/staffGradeList`, //根据专业id查询年级
    saveProfessional: `occupationlab/occupationlab/staff/saveProfessional`, //新增专业
    updateProfessional: `occupationlab/occupationlab/staff/updateProfessional`, //编辑专业
    deleteProfessional: `occupationlab/occupationlab/staff/deleteProfessional`, //删除专业
    saveGrade: `occupationlab/occupationlab/staff/saveGrade`, //新增年级
    updateGrade: `occupationlab/occupationlab/staff/updateGrade`, //编辑年级
    deleteGrade: `occupationlab/occupationlab/staff/deleteGrade`, //删除年级
    // 员工管理
    saveStaff: `occupationlab/occupationlab/staff/saveStaff`, //新增员工
    staffDetail: `occupationlab/occupationlab/staff/staffDetail`, //员工详情
    modifyStaff: `occupationlab/occupationlab/staff/modifyStaff`, //编辑员工
    delStaff: `occupationlab/occupationlab/staff/delStaff`, //删除员工
    staffList: `occupationlab/occupationlab/staff/staffList`, //员工列表
    staffTemplate: `https://www.occupationlab.com/template/员工用户导入模板.xlsx`, //员工用户导入模板
    exportFailureStaff: `${host}occupationlab/occupationlab/staff/exportFailure`, //批量导入员工失败数据导出
    importStaff: `${host}occupationlab/occupationlab/staff/importStaff`, //批量导入员工
    // 角色管理
    batchRemove: `users/users/role/batchRemove`, //批量删除角色
    checkRoleIsExist: `users/users/role/checkRoleIsExist`, //判断该角色是否存在
    delRoleByAccountId: `users/users/role/delRoleByAccountId`, //删除某用户下的某个角色
    roleList: `users/users/role/list`, //角色分页列表查询
    obtainDetails: `users/users/role/obtainDetails`, //获取角色详情
    saveOrUpdate: `users/users/role/saveOrUpdate`, //新增或更新角色
    queryAllMenus: `users/users/permission/queryAllMenus`, //查询所有菜单
    // 系统logo设置
    logoDetail: `occupationlab/occupationlab/sys/logo/detail`, //查看系统设置信息
    logoSave: `occupationlab/occupationlab/sys/logo/save`, //新增系统设置信息
    logoUpdate: `occupationlab/occupationlab/sys/logo/update`, //编辑系统设置信息

    // 创业活动
    activityList: `occupationlab/occupationlab/activity/activityList`,
    batchDeletionActivity: `occupationlab/occupationlab/activity/batchDeletion`,
    disabledEventsActivity: `occupationlab/occupationlab/activity/disabledEvents`,
    findByIdActivity: `occupationlab/occupationlab/activity/findById`,
    getRedisCacheActivity: `occupationlab/occupationlab/activity/getRedisCache`,
    saveActivity: `occupationlab/occupationlab/activity/save`,
    updateActivity: `occupationlab/occupationlab/activity/update`,
    delActivityApplicant: `occupationlab/occupationlab/activity/applicant/batchDeletion`,
    findByIdActivityApplicant: `occupationlab/occupationlab/activity/applicant/findById`,
    saveActivityApplicant: `occupationlab/occupationlab/activity/applicant/save`,
    updateActivityApplicant: `occupationlab/occupationlab/activity/applicant/update`,
    ApplicantsList: `occupationlab/occupationlab/activity/applicant/ApplicantsList`,
    disableActivityApplicant: `occupationlab/occupationlab/activity/applicant/disableRegistration`,
    excelExportApplicant: `${host}occupationlab/occupationlab/activity/applicant/excelExport`,
    exportDataInBatchesApplicant: `${host}occupationlab/occupationlab/activity/applicant/exportDataInBatches`,
    addActivityProgress: `occupationlab/occupationlab/activity/progress/addCompetitionProgress`,
    delActivityProgress: `occupationlab/occupationlab/activity/progress/batchDeletion`,
    findActivityProgress: `occupationlab/occupationlab/activity/progress/findById`,
    listActivityProgress: `occupationlab/occupationlab/activity/progress/getCompetitionProgress`,
    updateActivityProgress: `occupationlab/occupationlab/activity/progress/update`,
    addActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/addAnnouncement`,
    updateActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/amendmentAnnouncement`,
    delActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/deleteAnnouncement`,
    disableActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/disableAnnouncement`,
    listActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/queryAnnouncementByCompetitionId`,
    findActivityAnnouncement: `occupationlab/occupationlab/activity/announcement/queryAnnouncementDetails`,
    delActivityAnnouncementAnnex: `occupationlab/occupationlab/activity/announcement/annex/delete`,
    saveActivityAnnouncementAnnex: `occupationlab/occupationlab/activity/announcement/annex/save`,

    // 数据看板
    curriculumListForBeforeLogin: `nakadai/nakadai/curriculum/curriculumListForBeforeLogin`,
    academicLeadersRanking: `occupationlab/occupationlab/data/kanban/academicLeadersRanking`,
    getTheMostUsedCoursesInOurSchool: `occupationlab/occupationlab/data/kanban/getTheMostUsedCoursesInOurSchool`,
    examStatistics: `occupationlab/occupationlab/data/kanban/examStatistics`,
    studentGradeDistribution: `occupationlab/occupationlab/data/kanban/studentGradeDistribution`,
    studentAssessSchievement: `occupationlab/occupationlab/data/kanban/studentAssessSchievement`,
    overviewOfOurSchoolData: `occupationlab/occupationlab/data/kanban/overviewOfOurSchoolData`,
    monthlyAverageOnlineTime: `occupationlab/occupationlab/data/kanban/monthlyAverageOnlineTime`,
    courseRankings: `occupationlab/occupationlab/data/kanban/courseRankings`,
    platformLoginStatistics: `users/users/user/platformLoginStatistics`,
    activityRanking: `occupationlab/occupationlab/data/kanban/activityRanking`,

    // 产品中心
    productCategoryList: `nakadai/productClassification/productCategoryList`,
    productTypeList: `nakadai/productType/productTypeList`,
    supplierList: `nakadai/supplier/supplierList`,
    tagsList: `nakadai/tags/tagsList`,
    listOfGoods: `nakadai/mall/listOfGoods`,
    detailsOfGoods: `nakadai/mall/detailsOfGoods`,
    addLearningRecord: `nakadai/mallCourseLearningRecord/addLearningRecord`,
    // 课程管理三级联查
    courseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //课程学科类别
    courseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //课程专业类
    courseProfessional: `nakadai/nakadai/subject/courseProfessional`, //课程专业
    
    // 营销推广
    listMarketing: `nakadai/nakadai/mall/marketing/promotion/pagingQueryList`,

    // 教师评语
    addComment: `evaluation/cevaluation/comment/addComment`,
    queryComment: `evaluation/evaluation/ccomment/queryComment`,
    updateComment: `evaluation/evaluation/ccomment/updateComment`,

    // 老师签名照
    daleteSignature: `evaluation/evaluation/csignature/daleteSignature`,
    querySignature: `evaluation/evaluation/csignature/querySignature`,
    uploadSignature: `evaluation/evaluation/csignature/uploadSignature`,

    // 判分点
    queryListTrading: `judgment/judgment/tradingJudgmentPoints/query`,
    queryDetailsTrading: `judgment/judgment/tradingJudgmentPoints/queryDetails`,
    // 科大
    queryPoint: `kdSys/queryPoint`,
    querySubject: `kdSys/querySubject`,
    queryItem: `kdSys/queryItem`,
    // 川大
    firstLevel: `sichuan/point/firstLevel`,
    secondaryLevel: `sichuan/point/secondaryLevel`,
    thirdLevel: `sichuan/point/thirdLevel`

};