import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "assessment-";

export default {
    path: "/assessment",
    name: "assessment",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/assessment/list"),
            meta: { title: "考核管理" }
        },
        {
            name: `${pre}add`,
            path: `add`,
            component: () => import("@/pages/assessment/add/index.vue"),
            meta: { title: "添加考核" }
        }
    ]
};
