import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "information-";

export default {
    path: "/information",
    name: "information",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/information/list"),
            meta: { title: "资讯管理" }
        },
        {
            name: `${pre}addArticle`,
            path: `addArticle`,
            component: () => import("@/pages/information/addArticle"),
            meta: { title: "新增文章" }
        }
    ]
};