import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "project-";

export default {
    path: "/project",
    name: "project",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/project/list"),
            meta: { title: "实验项目管理" }
        },
        {
            name: `${pre}add`,
            path: `add`,
            component: () => import("@/pages/project/add"),
            meta: { title: "新增项目" }
        }
    ]
};
