/**
 * @description 生成按钮级别权限组
 * */

import store from '@/store'

const result = []
// 递归组合权限
function createAuth(data, auth) {
  data.map(e => {
    const text = (auth ? auth + ':' : '') + (auth ? e.name : e.path) // 第一级是路由，取path，子级取name
    result.push(text)
    e.children && e.children.length && createAuth(e.children, text)
  })
}

export default function(data) {
  createAuth(data)
  store.dispatch('auth/addBtnAuth', result)
}
