import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "achievement-";

export default {
    path: "/achievement",
    name: "achievement",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/achievement/list"),
            meta: { title: "成绩管理" }
        }, {
            name: `${pre}teach`,
            path: `teach`,
            component: () => import("@/pages/achievement/teach"),
            meta: { title: "成绩管理" }
        }, {
            name: `${pre}show`,
            path: `show`,
            component: () => import("@/pages/achievement/show"),
            meta: { title: "实验报告" }
        }
    ]
};
