import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "activity-";

export default {
    path: "/activity",
    redirect: {
      path: `/activity/list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            path: `list`,
            component: () => import("@/pages/activity/list"),
        },
        {
            path: `add`,
            component: () => import("@/pages/activity/add"),
        },
        {
            path: `manage`,
            component: () => import("@/pages/activity/manage"),
        },
        {
            path: `noticeDetail`,
            component: () => import("@/pages/activity/manage/noticeDetail"),
        },
        {
            path: `preview`,
            component: () => import("@/pages/activity/preview"),
        },
    ]
};