import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "course-";

export default {
    path: "/course",
    name: "course",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/course/list"),
            meta: { title: "理论课程管理" }
        },
        {
            name: `${pre}add`,
            path: `add`,
            component: () => import("@/pages/course/add"),
            meta: { title: "新增课程" }
        },
        {
            name: `${pre}preview`,
            path: `preview`,
            component: () => import("@/pages/course/preview"),
            meta: { title: "课程预览" }
        },
        {
            name: `${pre}contentSettings`,
            path: `contentSettings`,
            component: () => import("@/pages/course/contentSettings"),
            meta: { title: "内容设置" }
        }
    ]
};