import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "match-";

export default {
    path: "/match",
    name: "match",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/match/list"),
            meta: { title: "赛事管理" }
        },
        {
            name: `${pre}add`,
            path: `add`,
            component: () => import("@/pages/match/add"),
            meta: { title: "创建赛事" }
        },
        {
            name: `${pre}manage`,
            path: `manage`,
            component: () => import("@/pages/match/manage"),
            meta: { title: "管理赛事" }
        },
        {
            name: `${pre}noticeDetail`,
            path: `noticeDetail`,
            component: () => import("@/pages/match/manage/noticeDetail"),
            meta: { title: "通知公告" }
        },
        {
            path: 'archList',
            component: () => import( '@/pages/match/manage/matchArchList'),
            meta: { title: '成绩管理' }
        },
        {
            path: 'rank',
            component: () => import( '@/pages/match/manage/matchRank'),
            meta: { title: '排名管理' }
        },
        {
            path: 'report',
            component: () => import( '@/pages/match/manage/matchReport'),
            meta: { title: '实验报告' }
        },
        {
            path: 'info',
            component: () => import( '@/pages/match/manage/matchInfo'),
            meta: { title: '参赛信息与成绩' }
        },
    ]
};