import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "product-";

export default {
    path: "/product",
    name: "product",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
      {
          path: `list`,
          component: () => import("@/pages/product/list"),
          meta: { title: "产品中心" }
      },
      {
          path: `show`,
          component: () => import("@/pages/product/show"),
          meta: { title: "产品详情" }
      },
    ]
};