import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "station-";

export default {
    path: "/station",
    name: "station",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
      {
          name: `${pre}list`,
          path: `list`,
          component: () => import("@/pages/station/list"),
          meta: { title: "实验台" }
      },
      {
          name: `${pre}preview`,
          path: `preview`,
          component: () => import("@/pages/station/preview"),
          meta: { title: "课程预览" }
      }
    ]
};