import router from "./index";
import Setting from "@/setting";
import util from "@/libs/util";

const whiteList = Setting.whiteList // 白名单
router.beforeEach((to, from, next) => {
    document.title = Setting.titleSuffix;
    const role = util.local.get(Setting.tokenKey);
    if (!role && !whiteList.includes(to.path)) {
        next('/login')
    } else {
        next()
    }
});