/**
 * 资讯相关
 * */
export default {
    namespaced: true,
    state: {
        tabsName: "1",
        columnId: ""
    },
    mutations: {
        SET_TABS_NAME: (state, name) => {
            state.tabsName = name;
        },
        SET_COLUMN_ID: (state, id) => {
            state.columnId = id;
        }
    },
    actions: {
        setTabsName({ state, commit }, name) {
            commit("SET_TABS_NAME", name);
        },
        setColumnId({ state, commit }, id) {
            commit("SET_COLUMN_ID", id);
        }
    }
};