const Setting = require('./src/setting.env')

// 使用等比适配插件
module.exports = {
  lintOnSave: true,
  css: {
    loaderOptions: {
      sass: {
        prependData: `@import "@/styles/var.scss";`
      },
    }
  },
  publicPath: Setting.publicPath,
  outputDir: Setting.outputDir,
  assetsDir: Setting.assetsDir,
  devServer: {
    port: 8081 // 固定端口
  }
}